Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 1012550 (CVE-2013-4368) - CVE-2013-4368 xen: information leak through outs instruction emulation (XSA-67)
Summary: CVE-2013-4368 xen: information leak through outs instruction emulation (XSA-67)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-4368
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1012958 1012959 1017843
Blocks: 1012558
TreeView+ depends on / blocked
 
Reported: 2013-09-26 15:52 UTC by Vincent Danen
Modified: 2019-09-29 13:08 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-10 10:00:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1449 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2013-10-22 21:30:54 UTC

Description Vincent Danen 2013-09-26 15:52:00 UTC
The emulation of the outs instruction for 64-bit PV guests uses an
uninitialized variable as the segment base for the source data if an FS: or
GS: segment override is used, and if the segment descriptor the respective
non-null selector in the corresponding selector register points to cannot be
read by the emulation code (this is possible if the segment register was
loaded before a more recent GDT or LDT update, i.e. the segment register
contains stale data).

A malicious guest might be able to get hold of contents of the hypervisor
stack, through the fault address passed to the page fault handler if the outs
raises such a fault (which is mostly under guest control). Other methods for
indirectly deducing information also exist.

A malicious 64-bit PV guest might conceivably gain access to sensitive data
relating to other guests.


Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.

Comment 6 Vincent Danen 2013-10-10 16:19:57 UTC
External References:

http://xenbits.xen.org/xsa/advisory-67.html

Comment 7 Vincent Danen 2013-10-10 16:22:34 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1017843]

Comment 8 errata-xmlrpc 2013-10-22 17:31:21 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:1449 https://rhn.redhat.com/errata/RHSA-2013-1449.html

Comment 9 Fedora Update System 2013-10-23 03:34:09 UTC
xen-4.2.3-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-10-23 03:41:03 UTC
xen-4.2.3-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.